Results 1 to 4 of 4

Thread: Nvidia 304 legacy drivers

  1. #1

    Default Nvidia 304 legacy drivers

    Hi. I upgraded from leap 42.3 to 15.0 on my old Dell Laptop (XPS M1710, Geforce 7950gtx). Is there any chance the old 304 nvidia driver will be running on leap 15? I noticed that it is no longer available on the nvidia repo, so I tried to install it manually (304.137). Unfortunately it fails to build. Is there any workaround?

    I also tried to use nouveau, but that gives me just a blank screen with a mouse when it starts sddm... Behaves the same regardless of the dm

    nvidia-installer.log:
    https://killkenny.spdns.org/nextclou...SrYbJXZGxLLm7E

    (No upload function on this board or am I blind?)

  2. #2

    Default Re: Nvidia 304 legacy drivers

    Quote Originally Posted by big_mama View Post
    Hi. I upgraded from leap 42.3 to 15.0 on my old Dell Laptop (XPS M1710, Geforce 7950gtx). Is there any chance the old 304 nvidia driver will be running on leap 15? I noticed that it is no longer available on the nvidia repo, so I tried to install it manually (304.137). Unfortunately it fails to build. Is there any workaround?
    Noticing the same problem, where is the old 304 on leap 15? Anybody know why it's gone? We had this in 42.3.

  3. #3
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    16,286

    Default Re: Nvidia 304 legacy drivers

    AFAIK It is no longer supported and does not build with new kernels.

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,324
    Blog Entries
    15

    Default Re: Nvidia 304 legacy drivers

    Hi
    You will need to patch and create a custom/patched run file (use the --help option with the run file to see the command);

    https://devtalk.nvidia.com/default/t...4-9-onwards-/2

    I see users have provided complete files, but would suggest patching it yourself, if you have problems, post back here
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •